zenilib: zenilib/jni/external/libvorbis/lib/synthesis.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
synthesis.c File Reference
`#include <stdio.h>`
`#include <ogg/ogg.h>`
`#include "vorbis/codec.h"`
`#include "codec_internal.h"`
`#include "registry.h"`
`#include "misc.h"`
`#include "os.h"`

Go to the source code of this file.

## Functions

long | vorbis_packet_blocksize (vorbis_info *vi, ogg_packet *op)
int | vorbis_synthesis (vorbis_block *vb, ogg_packet *op)
int | vorbis_synthesis_halfrate (vorbis_info *vi, int flag)
int | vorbis_synthesis_halfrate_p (vorbis_info *vi)
int | vorbis_synthesis_trackonly (vorbis_block *vb, ogg_packet *op)

## Function Documentation

long vorbis_packet_blocksize | ( | vorbis_info * | vi,
|  | ogg_packet * | op
| ) |  |

Definition at line 143 of file synthesis.c.

References vorbis_info_mode::blockflag, codec_setup_info::blocksizes, ogg_packet::bytes, vorbis_info::codec_setup, codec_setup_info::mode_param, codec_setup_info::modes, oggpack_read(), oggpack_readinit(), OV_EBADPACKET, OV_ENOTAUDIO, and ogg_packet::packet.

Referenced by _initial_pcmoffset(), ov_pcm_seek(), and ov_raw_seek().

int vorbis_synthesis | ( | vorbis_block * | vb,
|  | ogg_packet * | op
| ) |  |

Definition at line 26 of file synthesis.c.

References _mapping_P, _vorbis_block_alloc(), _vorbis_block_ripcord(), vorbis_dsp_state::backend_state, vorbis_info_mode::blockflag, codec_setup_info::blocksizes, ogg_packet::bytes, vorbis_info::channels, vorbis_info::codec_setup, ogg_packet::e_o_s, vorbis_block::eofflag, ogg_packet::granulepos, vorbis_block::granulepos, i, vorbis_block::lW, codec_setup_info::map_param, codec_setup_info::map_type, vorbis_info_mode::mapping, vorbis_block::mode, codec_setup_info::mode_param, private_state::modebits, vorbis_block::nW, oggpack_read(), oggpack_readinit(), vorbis_block::opb, OV_EBADPACKET, OV_ENOTAUDIO, ogg_packet::packet, ogg_packet::packetno, vorbis_block::pcm, vorbis_block::pcmend, vorbis_block::sequence, vorbis_block::vd, vorbis_dsp_state::vi, vi, and vorbis_block::W.

Referenced by _fetch_and_process_packet().

int vorbis_synthesis_halfrate | ( | vorbis_info * | vi,
|  | int | flag
| ) |  |

Definition at line 171 of file synthesis.c.

References codec_setup_info::blocksizes, vorbis_info::codec_setup, and codec_setup_info::halfrate_flag.

Referenced by ov_halfrate().

int vorbis_synthesis_halfrate_p | ( | vorbis_info * | vi | ) |

Definition at line 181 of file synthesis.c.

References vorbis_info::codec_setup, and codec_setup_info::halfrate_flag.

Referenced by _fetch_and_process_packet(), ov_halfrate_p(), ov_pcm_seek(), ov_read_filter(), and ov_read_float().

int vorbis_synthesis_trackonly | ( | vorbis_block * | vb,
|  | ogg_packet * | op
| ) |  |

Definition at line 94 of file synthesis.c.

References _vorbis_block_ripcord(), vorbis_dsp_state::backend_state, vorbis_info_mode::blockflag, ogg_packet::bytes, vorbis_info::codec_setup, ogg_packet::e_o_s, vorbis_block::eofflag, ogg_packet::granulepos, vorbis_block::granulepos, vorbis_block::lW, vorbis_block::mode, codec_setup_info::mode_param, private_state::modebits, NULL, vorbis_block::nW, oggpack_read(), oggpack_readinit(), vorbis_block::opb, OV_EBADPACKET, OV_ENOTAUDIO, ogg_packet::packet, ogg_packet::packetno, vorbis_block::pcm, vorbis_block::pcmend, vorbis_block::sequence, vorbis_block::vd, vorbis_dsp_state::vi, vi, and vorbis_block::W.

Referenced by ov_pcm_seek().